<template>
    <div class="main bg bg1" id="home">
        <header class="header">
            <div class="container-fluid px-lg-5">
                <nav class="py-4">
                    <div id="logo">
                        <h1>
                            <a href="#" v-on:click.prevent="home()" class="editContent">Restaurants</a>
                        </h1>
                    </div>
                    <ul v-if="register">
                        Hi {{email}}
                    </ul>
                    <ul v-else>
                        <input type="email" placeholder="Enter your email" v-model="email">
                        <button class="btn btn-outline-success my-1 my-sm-1" v-on:click.prevent="login()">Login</button>
                    </ul>
                </nav>
            </div>
        </header>
    </div>
</template>
<script>
    export default {
        name: "Nav",
        components: {},
        data() {
            return {
                email: '',
                register: false
            }
        },
        methods: {
            login(){
                localStorage.setItem('email', this.email)
                this.register = true
                return this.register
            },
            home() {
                this.$router.push({ name: 'Home' })
            },
        }
    }
</script>

<style scoped>
    #home {
        background-color: rgba(0, 0, 0, 0);
        margin-top: 0;
    }

    .editContent {
        outline: none;
        outline-offset: -2px;
        cursor: inherit;
        color: rgb(255, 255, 255);
        font-size: 40px;
        background-color: rgba(0, 0, 0, 0);
        font-family: Source Sans Pro, sans-serif;
    }

    .login {
        color: rgb(255, 255, 255);
        font-weight: 700;
        text-transform: uppercase;
    }
    .main {
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        -ms-background-size: cover;
        background-size: cover;
        position: relative;
        min-height: 10em;
    }
</style>
